PlugUI is out for testing!

Arch Linux ARM announcements, news, and other important things are posted here.

Re: PlugUI is out for testing!

Postby WarheadsSE » Sun Apr 29, 2012 10:10 pm

It is being ported from python to nodejs so it won't matter in a while.
Core Developer
Remember: Arch Linux ARM is entirely community donation supported!
WarheadsSE
Developer
 
Posts: 6807
Joined: Mon Oct 18, 2010 2:12 pm

Re: PlugUI is out for testing!

Postby Sagittarius » Wed Jul 11, 2012 3:51 pm

Same issue here:

Code: Select all
Environment:


Request Method: GET
Request URL: http://192.168.0.53/users/createdefaultuser

Django Version: 1.4
Python Version: 2.7.3
Installed Applications:
('django.contrib.auth',
 'django.contrib.contenttypes',
 'django.contrib.sessions',
 'django.contrib.sites',
 'django.contrib.messages',
 'users',
 'privateapi',
 'system',
 'files',
 'apps',
 'home')
Installed Middleware:
('django.middleware.common.CommonMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.contrib.auth.middleware.AuthenticationMiddleware',
 'django.contrib.messages.middleware.MessageMiddleware')


Traceback:
File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py" in get_response
  111.                         response = callback(request, *callback_args, **callback_kwargs)
File "/opt/PlugUI/users/views.py" in createdefaultuser
  73.    return render_to_response('users/createdefaultuser.html', { 'form': form, }, context_instance=RequestContext(request))
File "/usr/lib/python2.7/site-packages/django/template/context.py" in __init__
  175.         for processor in get_standard_processors() + processors:
File "/usr/lib/python2.7/site-packages/django/template/context.py" in get_standard_processors
  155.                 raise ImproperlyConfigured('Module "%s" does not define a "%s" callable request processor' % (module, attr))

Exception Type: ImproperlyConfigured at /users/createdefaultuser
Exception Value: Module "django.core.context_processors" does not define a "auth" callable request processor


For info: I use cryptodev on my GoFlex Net.
Dockstar / GoFlexNet booting on NFS / Odroid C1+ / Odroid C2
Sagittarius
 
Posts: 56
Joined: Mon Nov 14, 2011 9:21 pm
Location: France

Re: PlugUI is out for testing!

Postby sluppy » Fri Dec 28, 2012 11:11 pm

Code: Select all
[quote="Sagittarius"]Same issue here:

[code]Environment:


Request Method: GET
Request URL: http://192.168.0.53/users/createdefaultuser

Django Version: 1.4
Python Version: 2.7.3
Installed Applications:
('django.contrib.auth',
 'django.contrib.contenttypes',
 'django.contrib.sessions',
 'django.contrib.sites',
 'django.contrib.messages',
 'users',
 'privateapi',
 'system',
 'files',
 'apps',
 'home')
Installed Middleware:
('django.middleware.common.CommonMiddleware',
 'django.contrib.sessions.middleware.SessionMiddleware',
 'django.contrib.auth.middleware.AuthenticationMiddleware',
 'django.contrib.messages.middleware.MessageMiddleware')


Traceback:
File "/usr/lib/python2.7/site-packages/django/core/handlers/base.py" in get_response
  111.                         response = callback(request, *callback_args, **callback_kwargs)
File "/opt/PlugUI/users/views.py" in createdefaultuser
  73.    return render_to_response('users/createdefaultuser.html', { 'form': form, }, context_instance=RequestContext(request))
File "/usr/lib/python2.7/site-packages/django/template/context.py" in __init__
  175.         for processor in get_standard_processors() + processors:
File "/usr/lib/python2.7/site-packages/django/template/context.py" in get_standard_processors
  155.                 raise ImproperlyConfigured('Module "%s" does not define a "%s" callable request processor' % (module, attr))

Exception Type: ImproperlyConfigured at /users/createdefaultuser
Exception Value: Module "django.core.context_processors" does not define a "auth" callable request processor[/code]

For info: I use cryptodev on my GoFlex Net.[/quote]


Same here as-well :(
sluppy
 
Posts: 11
Joined: Sun Sep 02, 2012 11:25 am

Re: PlugUI is out for testing!

Postby LouCypher » Tue Mar 12, 2013 7:52 am

For those of you having issues with django, I found a possible solution here.
It looks like you have upgraded to Django 1.4 or later.

The auth context processor has been moved from django.core.context_processors.auth to django.contrib.auth.context_processors.auth. The move started in Django 1.2, and django.core.context_processors.auth was completely removed in Django 1.4.

I recommend you run the same version of Django on your dev and production environments to prevent errors like this.

When you upgrade to Django 1.4, you need to make the following change to TEMPLATE_CONTEXT_PROCESSORS in your settings file:

# old
TEMPLATE_CONTEXT_PROCESSORS = ("django.core.context_processors.auth",
...
)
# new
TEMPLATE_CONTEXT_PROCESSORS = ("django.contrib.auth.context_processors.auth",
...
)


The problem seems to be from developing PlugUI with an older (1.2?) version of django, and changes that were implemented with or before django 1.4, which is the version that's automatically installed by pacman when you follow the directions in the original post.

Edit settings.py in /opt/PlugUI and change the line (bolded) to match. You might need to restart the daemon.

Changing that one line fixed the error and gave me a "Create Default User" screen.
LouCypher
 
Posts: 4
Joined: Tue Mar 12, 2013 7:38 am

Previous

Return to Announcements

Who is online

Users browsing this forum: No registered users and 2 guests